the Beta version will run on M1 and the newer mac OS
DOWN LOAD
Peacock  for PT 10, PT11, PT12 and newer
this is a combined installer
and requires ilok2
PT10.3.5 or later is required






AAX DSP for Avid S3L Installer
OLD VERSIONS